# vim:set ts=3:

package commands;

sub hello {
	return "hi $::user";
}

sub search {
	my $key = shift;

	return unless $key =~ /^[[:word:]]+$/;

	my $dat = {
		'search_term' => $key,
		'limit' => 10,
	};

	my $hdr = { 'Authorization' => "Bearer $::tkn" };
	my $obj = $::api->post("/r0/user_directory/search", $dat, $hdr);
	my $ret = join ', ', map {
		$_->{'display_name'} . ' (' . $_->{'user_id'} . ')'
	} @{$obj->{'results'}};

	return $ret;
}

1;
